Bug 447855 - eclipse crash when save file
eclipse crash when save file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse-phpeclipse (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 01:46 EDT by Jian He
Modified: 2009-07-14 11:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:20:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error report file (79.47 KB, application/octet-stream)
2008-05-22 02:09 EDT, Jian He
no flags Details
Eclipse error log (104.68 KB, text/plain)
2008-06-05 18:26 EDT, Aubrey Barnard
no flags Details
Eclipse error log (99.60 KB, text/plain)
2008-06-05 18:34 EDT, Aubrey Barnard
no flags Details
Eclipse error log (99.52 KB, text/plain)
2008-06-05 18:35 EDT, Aubrey Barnard
no flags Details

  None (edit)
Description Jian He 2008-05-22 01:46:13 EDT
Description of problem:


Version-Release number of selected component (if applicable):
eclipse-phpeclipse.x86_64                1.1.8-18.fc9

How reproducible:


Steps to Reproduce:
1. run eclipse
2. open a php file and edit it
3. save the file
  
Actual results:
eclipse crash:
JVM terminated. Exit code=1
/usr/bin/java
-Xms40m
-Xmx512m
-XX:MaxPermSize=128m
-XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith
-Dosgi.sharedConfiguration.area=/usr/lib64/eclipse/configuration
-jar /usr/share/eclipse/startup.jar
-os linux
-ws gtk
-arch x86_64
-showsplash
-launcher /usr/lib64/eclipse/eclipse
-name Eclipse
--launcher.library
/usr/lib64/eclipse/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.0.3.R33x_v20080118/eclipse_1023.so
-startup /usr/share/eclipse/startup.jar
-exitdata 188014
-vm /usr/bin/java
-vmargs
-Xms40m
-Xmx512m
-XX:MaxPermSize=128m
-XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith
-Dosgi.sharedConfiguration.area=/usr/lib64/eclipse/configuration
-jar /usr/share/eclipse/startup.jar 

Expected results:


Additional info:
Comment 1 Jian He 2008-05-22 02:07:18 EDT
terminal output:

$ eclipse 
CompilerOracle: exclude
org/eclipse/core/internal/dtree/DataTreeNode.forwardDeltaWith
LoadPlugin: failed to initialize shared library libXt.so [libXt.so: cannot open
shared object file: No such file or directory]
LoadPlugin: failed to initialize shared library libXext.so [libXext.so: cannot
open shared object file: No such file or directory]
LoadPlugin: failed to initialize shared library
/home/hej/.mozilla/plugins/libflashplayer.so
[/home/hej/.mozilla/plugins/libflashplayer.so: wrong ELF class: ELFCLASS32]
#
# An unexpected error has been detected by Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x0000003f0c62fb0b, pid=13057, tid=2165072
#
# Java VM: OpenJDK 64-Bit Server VM (1.6.0-b09 mixed mode linux-amd64)
# Problematic frame:
# C  [libxul.so+0xc2fb0b]
#
# An error report file with more information is saved as:
# /home/hej/hs_err_pid13057.log
#
# If you would like to submit a bug report, please visit:
#   http://icedtea.classpath.org/bugzilla
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
Comment 2 Jian He 2008-05-22 02:09:07 EDT
Created attachment 306339 [details]
error report file
Comment 3 Aubrey Barnard 2008-06-05 18:26:51 EDT
Created attachment 308496 [details]
Eclipse error log
Comment 4 Aubrey Barnard 2008-06-05 18:33:52 EDT
Same Bug, Different Context:
I am also getting crashes when saving files in Eclipse. However, my situation is
slightly different than what Jian He described. I am running Eclipse on Fedora 8
and using it for Java programming. My hardware is also x86_64.

Description of Problem:
Eclipse crashes after saving a file during Java programming. The file is
successfully saved as I can see from its contents after the crash.

Version-Release number of selected component (if applicable):
eclipse-platform.x86_64                  1:3.3.0-31.fc8
eclipse-jdt.x86_64                       1:3.3.0-31.fc8

How reproducible:
I don't know if this is exactly reproducible, but it happens after about 5
saves, which can be pretty fast when you are saving lots of small changes.

Steps to Reproduce:
1. Run eclipse. (The Java perspective will load in my workspace.)
2. Edit a Java file.
3. Save the file. I use Ctrl-S.
4. Repeat steps 2 and 3 until a crash occurs.

Actual results:
Eclipse saves the file, but then crashes.

Expected results:
Eclipse should save the file and allow you to continue editing or something else.

Additional info:
I have attached some error logs from this problem which will hopefully lend insight.
hs_err_pid6868.log
hs_err_pid7226.log
hs_err_pid7364.log

Here are the Eclipse arguments:
JVM terminated. Exit code=1
/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0.x86_64/jre/bin/java
-Xms40m
-Xmx256m
-XX:MaxPermSize=128m
-Dosgi.sharedConfiguration.area=/usr/lib64/eclipse/configuration
-jar /usr/share/eclipse/startup.jar
-os linux
-ws gtk
-arch x86_64
-showsplash
-launcher /usr/lib64/eclipse/eclipse
-name Eclipse
--launcher.library
/usr/lib64/eclipse/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.0.0.v20070606/eclipse_1017a.so
-startup /usr/share/eclipse/startup.jar
-exitdata 5b8015
-vm /usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0.x86_64/jre/bin/java
-vmargs
-Xms40m
-Xmx256m
-XX:MaxPermSize=128m
-Dosgi.sharedConfiguration.area=/usr/lib64/eclipse/configuration
-jar /usr/share/eclipse/startup.jar

As a last note, I would argue for increasing the severity because this bug
prevents me from using Eclipse for more than 5-10 minutes at a time. In other
words, I can't use Eclipse as my IDE.
Comment 5 Aubrey Barnard 2008-06-05 18:34:55 EDT
Created attachment 308497 [details]
Eclipse error log
Comment 6 Aubrey Barnard 2008-06-05 18:35:20 EDT
Created attachment 308498 [details]
Eclipse error log
Comment 7 Aubrey Barnard 2008-06-05 18:57:58 EDT
Just another note. I realize this bug is really with IcedTea, but I'm filing it
here for two reasons. Jian He has already reported it here, and I hope by
reporting it here that the Fedora Eclipse project people will have some stake in
it as well. (The Fedora Eclipse people have the advantages of familiarity,
expediency, and clout when it comes to forwarding bugs to IcedTea, I presume.)

Here are my relevant Java versions:
java-1.5.0-gcj.x86_64                    1.5.0.0-17.fc8
java-1.7.0-icedtea.x86_64                1.7.0.0-0.19.b21.snaps

I am glad to provide extra information and do some leg work if it is within my
capacity.
Comment 8 Aubrey Barnard 2008-06-06 01:14:34 EDT
This problem may be related to the following bug:
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6614100
(I don't know how closely Sun Java and IcedTea are related.)

Indeed, since the file gets saved successfully, and would then be recompiled, a
bug in the compiler would trigger the crash-after-save behavior that I've seen.

It appears that adding the following option to the vmargs is a viable option and
it works for me. I haven't had any crashes in a while now.
-XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith
Comment 9 Mat Booth 2008-06-07 08:25:36 EDT
Sorry Brandon if you got any extra emails from this bug, I should have taken
ownership when I took over the package.
Comment 10 Mat Booth 2008-06-07 10:22:16 EDT
Jian He,

I can't reproduce this on my Fedora 9 system. I have the following packages
installed:

java-1.6.0-openjdk-1.6.0.0-0.13.b09.fc9.x86_64
eclipse-platform-3.3.2-12.fc9.x86_64

Are you up to date?

If you are still suffering this problem, you could also try using the gcj
instead of openjdk to run eclipse by doing this as root:

# alternatives --config java

And selecting the gcj JRE.

Failing that, I'm currently in the process of packaging the latest version of
phpeclipse (version 1.2.0) as the one we have in Fedora at the moment is a
couple of years old. Hopefully, your problem will be fixed in that version.

---

Aubrey Barnard,

Unfortunately, I can't reproduce your problem on my Fedora 8 system either. I
would try running eclipse under gcj instead of icedtea by using the same
alternatives command as above, to see if that makes it any better. If it does, I
would suggest filing the bug under the icedtea package, if not, I would file the
bug under the eclipse package.
Comment 11 Bug Zapper 2009-06-09 21:04:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 11:20:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.